# List all data events

> 🚧
>
> Please note that you can only 'list' events that are less than 90 days old. Event counts and summaries will still include your events older than 90 days but you cannot 'list' these events individually if they are older than 90 days

The events belonging to a customer can be listed by sending a GET request to https://api.intercom.io/events with a user or lead identifier along with a type parameter. The identifier parameter can be one of user_id, email or intercom_user_id. The type parameter value must be user.

- https://api.intercom.io/events?type=user&user_id={user_id}
- https://api.intercom.io/events?type=user&email={email}
- https://api.intercom.io/events?type=user&intercom_user_id={id} (this call can be used to list leads)

The email parameter value should be url encoded when sending.

You can optionally define the result page size as well with the per_page parameter.

Endpoint: GET /events
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Query parameters:

  - `filter` (object, required)

  - `type` (string, required)
    The value must be user

  - `summary` (boolean)
    summary flag

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object
    Enum: "event.summary"

  - `email` (string)
    The email address of the user
    Example: "Sam.Sung@example.com"

  - `intercom_user_id` (string)
    The Intercom user ID of the user
    Example: "63a0979a5eeebeaf28dd56ba"

  - `user_id` (string)
    The user ID of the user
    Example: "62b997f288e14803c5006932"

  - `events` (array)
    A summary of data events

  - `events.name` (string)
    The name of the event
    Example: "placed-order"

  - `events.first` (string)
    The first time the event was sent
    Example: "2014-01-16T23:12:21.000+00:00"

  - `events.last` (string)
    The last time the event was sent
    Example: "2014-01-16T23:12:21.000+00:00 "

  - `events.count` (integer)
    The number of times the event was sent
    Example: 1

  - `events.description` (string)
    The description of the event
    Example: "A user placed an order"

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


